﻿using System;
using System.Linq;

namespace EonaCatRemover
{
    internal class Program
    {
        private static string ALL_TAG = "-cxr";
        private static string COMMENTS_TAG = "-c";
        private static string REGION_TAG = "-r";
        private static string XML_TAG = "-x";

        private static void Main(string[] args)
        {
            Console.Title = "EonaCat CommentRegion remover for C#";
            bool removingXmlTags = false;
            bool removingRegionTags = false;
            bool removingCommentsTags = false;
            var arguments = args.ToList();
            if (args[0] == COMMENTS_TAG || args[0] == XML_TAG || args[0] == REGION_TAG || args[0] == ALL_TAG)
            {
                removingCommentsTags = args[0] == COMMENTS_TAG || args[0] == XML_TAG || args[0] == ALL_TAG;
                removingXmlTags = args[0] == XML_TAG || args[0] == ALL_TAG;
                removingRegionTags = args[0] == REGION_TAG || args[0] == ALL_TAG;
                arguments.RemoveAt(0);
            }

            var EonaCatRemover = new EonaCatCommentRegionRemover(removingCommentsTags, removingXmlTags, removingRegionTags);
            foreach (var path in arguments)
            {
                EonaCatRemover.Remove(path);
            }
        }
    }
}