EonaCat CommentRegionRemover for C#
=========

## Overview
EonaCat CommentRegionRemover is a tool for removing comments (including XML) and regions for C# code.
## Description
* Single line comments
 ```
// for single line comments
```
* Multiple line comments
```
/* for multi line comments */
```
* XML tags comments  
using *-x* option so as to remove this type.
```
/// XML tags displayed in a code comment
```
* Regions
using *-r* option so as to remove this type.
 ```
// for start and end regions
```
### Example
Before:  
```
/*
Any comments
*/
Console.Write("Hello ");
Console.Write(/*Hello*/"World");//int i = 0;
//Console.Write("World");
```
After:
```
Console.Write("Hello ");
Console.Write("World");
```

## Usage
```
cd ./EonaCatRemover

EonaCatRemover.exe -cxr C:\Users\EonaCat\Desktop\Project

[EonaCat C# Remover created by Jeroen Saey]
[Dir]: C:\Users\31638\Desktop\Network-master
  82 files rewritten. (including 105 files in directory.)
  3911 lines removed.
  19 lines removed with parts.

EonaCatRemover.exe [-x] [file or directory]   (Strips XML and comments)
or
EonaCatRemover.exe [-c] [file or directory]   (Strips comments)
or
EonaCatRemover.exe [-r] [file or directory]   (Strips regions)
or
EonaCatRemover.exe [-cxr] [file or directory]   (Strips comments, XML and regions)
```
